|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Qt 3 Support Members for QSocketNotifier

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QSocketNotifier class reference

### Public Functions

- QSocketNotifier ( int socket, Type type, QObject * parent, const char * name )

- 8 public functions inherited from QObject

## Member Function Documentation

### QSocketNotifier::QSocketNotifier ( int socket, Type type, QObject * parent, const char * name )

Constructs a socket notifier called name, with the given parent. It enables the socket, and watches for events of the given type.

It is generally advisable to explicitly enable or disable the socket notifier, especially for write notifiers.

See also setEnabled() and isEnabled().